> ## Documentation Index
> Fetch the complete documentation index at: https://docs.justpaid.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Contract Delete Api

> Deletes a contract (soft delete, only draft contracts).



## OpenAPI

````yaml delete /api/v1/contract/{contract_uuid}
openapi: 3.1.0
info:
  title: NinjaAPI
  version: 1.0.0
  description: ''
servers:
  - url: https://api.justpaid.io
security: []
paths:
  /api/v1/contract/{contract_uuid}:
    delete:
      summary: Contract Delete Api
      description: Deletes a contract (soft delete, only draft contracts).
      operationId: loopfour_backend_contract_external_api_contract_delete_api
      parameters:
        - in: path
          name: contract_uuid
          schema:
            format: uuid
            title: Contract Uuid
            type: string
          required: true
        - name: contract_uuid
          in: path
          description: UUID of the contract to delete
          required: true
          schema:
            type: string
          example: 123e4567-e89b-12d3-a456-426614174000
      responses:
        '204':
          description: Contract deleted successfully
        '400':
          description: Contract cannot be deleted (not in draft status)
        '404':
          description: Contract not found
      security:
        - HttpBearerAuth: []
components:
  securitySchemes:
    HttpBearerAuth:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.